[rt-announce] RT 2.0.4 - Egg on face
Jesse
jesse at fsck.com
Wed Jul 25 01:12:25 EDT 2001
It looks like some of the bookmarkable search stuff was let out of the gate
just a little bit before its time. RT 2.0.4 fixes bookmarkable searches and
also fixes a bug in rt-mailgate which would cause it to not send 'error'
mail in certain error cases if you use the 'sendmailpipe' mail transport.
For those of you who don't want to do a full reinstall, a unified diff between
RT 2.0.3 and RT 2.0.4 is included. Both changes are fairly straight forward.
diff -u -r rt-2-0-3/Makefile rt-2-0-4/Makefile
--- rt-2-0-3/Makefile Tue Jul 24 12:10:03 2001
+++ rt-2-0-4/Makefile Wed Jul 25 01:00:38 2001
@@ -1,4 +1,4 @@
-# $Header: /raid/cvsroot/rt/Makefile,v 1.90.2.242 2001/07/24 16:10:03 jesse Exp $
+# $Header: /raid/cvsroot/rt/Makefile,v 1.90.2.243 2001/07/25 05:00:38 jesse Exp $
# Request Tracker is Copyright 1996-2001 Jesse Vincent <jesse at fsck.com>
# RT is distributed under the terms of the GNU General Public License
@@ -6,7 +6,7 @@
RT_VERSION_MAJOR = 2
RT_VERSION_MINOR = 0
-RT_VERSION_PATCH = 3
+RT_VERSION_PATCH = 4
RT_VERSION = $(RT_VERSION_MAJOR).$(RT_VERSION_MINOR).$(RT_VERSION_PATCH)
diff -u -r rt-2-0-3/bin/rt-mailgate rt-2-0-4/bin/rt-mailgate
--- rt-2-0-3/bin/rt-mailgate Wed Jul 11 23:16:37 2001
+++ rt-2-0-4/bin/rt-mailgate Wed Jul 25 01:05:07 2001
@@ -1,6 +1,6 @@
#!!!PERL!! -w
-# $Header: /raid/cvsroot/rt/bin/Attic/rt-mailgate,v 1.1.2.12 2001/07/12 03:16:37 jesse Exp $
+# $Header: /raid/cvsroot/rt/bin/Attic/rt-mailgate,v 1.1.2.13 2001/07/25 05:05:07 jesse Exp $
# (c) 1996-2001 Jesse Vincent <jesse at fsck.com>
# This software is redistributable under the terms of the GNU GPL
@@ -451,9 +451,14 @@
my $mimeobj = $args{'MIMEObj'};
$mimeobj->sync_headers();
$entity->add_part($mimeobj);
-
- $entity->send($RT::MailCommand, $RT::MailParams);
-
+ if ($RT::MailCommand eq 'sendmailpipe') {
+ open (MAIL, "|$RT::SendmailPath $RT::SendmailArguments") || return(0);
+ print MAIL $entity->as_string;
+ close(MAIL);
+ }
+ else {
+ $entity->send($RT::MailCommand, $RT::MailParams);
+ }
}
# }}}
diff -u -r rt-2-0-3/lib/RT/Tickets.pm rt-2-0-4/lib/RT/Tickets.pm
--- rt-2-0-3/lib/RT/Tickets.pm Tue Jul 24 00:21:20 2001
+++ rt-2-0-4/lib/RT/Tickets.pm Wed Jul 25 01:05:09 2001
@@ -1,4 +1,4 @@
-#$Header: /raid/cvsroot/rt/lib/RT/Attic/Tickets.pm,v 1.1.2.49 2001/07/24 04:21:20 jesse Exp $
+#$Header: /raid/cvsroot/rt/lib/RT/Attic/Tickets.pm,v 1.1.2.50 2001/07/25 05:05:09 jesse Exp $
=head1 NAME
@@ -108,6 +108,7 @@
my $self = shift;
require FreezeThaw;
return (FreezeThaw::freeze($self->{'TicketRestrictions'},
+ $self->{'restriction_index'}
));
}
@@ -127,9 +128,8 @@
#if we don't have $in, get outta here.
return undef unless ($in);
-
- $self->CleanSlate();
+ $self->{'RecalcTicketLimits'} = 1;
require FreezeThaw;
@@ -137,6 +137,7 @@
eval {
($self->{'TicketRestrictions'},
+ $self->{'restriction_index'}
) = FreezeThaw::thaw($in);
}
--
jesse reed vincent -- root at eruditorum.org -- jesse at fsck.com
70EBAC90: 2A07 FC22 7DB4 42C1 9D71 0108 41A3 3FB3 70EB AC90
I admit that X is the second worst windowing system in the world, but all the
others I've used are tied for first.
More information about the Rt-announce
mailing list